Subject: [Isis-wg] psuedonode LSP

From: ramanathan ramasamy <[email-masked]>
Date: Wed, 9 Jan 2002 13:12:36 -0800

Hi all,

          I have the following doubt in ISIS for IP.

*   In Pseudonode LSP, according to RFC 1195 sec 4.3, we won't be listing 
any IP reachability field( because of logical subnetting probelem).
    Then what is the purpose of retaining Psuedonode LSP concept in ISIS 
for IP. What will it contain? What is it used for? - is it there to 
maintain compatability in case of Integrated ISIS?

Thanks
rams.

_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: "SelvarajR" <[email-masked]>
Date: Thu, 10 Jan 2002 12:47:10 +0530

Pseudonode LSPs are generated on behalf of DR. Each DR will generate its own
unique Pseudonode LSPs. It will only contain the neighbor TLV with all the
neighbors of the broadcast circuit for which it is the DR. One of its usage
is Two-way check.
Pseudonode LSP wont contain IP reachability Info. Because its Non-Pseudonode
LSP will contain those information. So to avoid redundant information and
decrease LSP size it is not included in Pseudonode LSP.

Selva.

-----Original Message-----
From: [email-masked]
[mailto:[email-masked]]On Behalf Of ramanathan
ramasamy
Sent: Thursday, 10 January 2002 2:43 AM
To: [email-masked]'
Subject: [Isis-wg] psuedonode LSP

Hi all,

Thanks
rams.

---

From: Dave Katz <[email-masked]>
Date: Wed, 9 Jan 2002 23:25:41 -0800 (PST)

To answer the original question, the pseudonode concept is still
useful because it eliminates the N^2 topology problem, which is
protocol-independent.

   X-JNPR-Received-From: outside
   Reply-To: <[email-masked]>
   From: "SelvarajR" <[email-masked]>
   X-Priority: 3 (Normal)
   X-MSMail-Priority: Normal
   X-MimeOLE: Produced By Microsoft MimeOLE V5.00.2615.200
   Importance: Normal
   Content-Type: text/plain;
	   charset="iso-8859-1"
   X-OriginalArrivalTime: 10 Jan 2002 07:06:38.0655 (UTC) FILETIME=[591904F0:01C199A5]
   Sender: [email-masked]
   X-BeenThere: [email-masked]
   X-Mailman-Version: 2.0rc1
   Precedence: bulk
   List-Help: <mailto:[email-masked]?subject=help>
   List-Post: <mailto:[email-masked]>
   List-Subscribe: <http://external.juniper.net/mailman/listinfo/isis-wg>,
	   <mailto:[email-masked]?subject=subscribe>
   List-Id: IETF IS-IS working group <isis-wg.external.juniper.net>
   List-Unsubscribe: <http://external.juniper.net/mailman/listinfo/isis-wg>,
	   <mailto:[email-masked]?subject=unsubscribe>
   List-Archive: <http://external.juniper.net/pipermail/isis-wg/>
   Date: Thu, 10 Jan 2002 12:47:10 +0530

   Selva.

   -----Original Message-----
   From: [email-masked]
   [mailto:[email-masked]]On Behalf Of ramanathan
   ramasamy
   Sent: Thursday, 10 January 2002 2:43 AM
   To: [email-masked]'
   Subject: [Isis-wg] psuedonode LSP

   Hi all,

   Thanks
   rams.

---

From: Jeff Learman <[email-masked]>
Date: Thu, 10 Jan 2002 09:28:37 -0500

Dave is correct, of course.  To amplify a little, a pseudonode LSP is
generated by the DR on behalf of the LAN, making the LAN appear to
be a router that has a point-to-point link with every IS on the LAN.

So, instead of each of N routers on the LAN reporting N-1 links, we
have N routers reporting 1 link and 1 imaginary router reporting N
links.

Jeff

---

From: Dong Ha <[email-masked]>
Date: Thu, 10 Jan 2002 11:48:35 -0800 (PST)

Hello all,

could anyone tell me in what case the router will
regenerate a pseudonode LSP? ISO 10589 section 7.3.6
seems like specifying only the events for generating
non-pseudonode LSP. I'm wondering if the operation of
the network is normal, what would cause the router to
regenerate a pseudonode LSP? Thanks.

-dong

__________________________________________________
Do You Yahoo!?
Send FREE video emails in Yahoo! Mail!
http://promo.yahoo.com/videomail/
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg

---

From: "Ken Larmer" <[email-masked]>
Date: Thu, 10 Jan 2002 18:08:35 -0500

> regenerate a pseudonode LSP? Thanks.

	The basic rule is anything which changes the contents of the Pseudonode LSP
(Remaining Lifetime is an exception of course). I would say the Pseudonode
LSP should be regenerated under the following subset of the Non-Pseudonode
LSP regeneration events.

-	an Adjacency or Circuit Up/Down event
-	a change in systemID
-	a change in Designated Intermediate System status
-	a change in the waiting status

Cheers,
Ken Larmer
CommSense Networks

---

From: Jeff Learman <[email-masked]>
Date: Thu, 10 Jan 2002 18:05:53 -0500

Clearly, the pseudonode LSP would need to be regenerated any time
an router on the associated LAN goes up or down, within the constraints
of the LSP min regen timer.  Also, it is regenerated periodically with
jitter, just as any other LSP.

I didn't look at the spec so I can't justify this from a formal standpoint.

Regards,
Jeff